Index: drivers/serial/uart00.c
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/serial/uart00.c,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/serial/uart00.c	22 Jul 2004 19:50:26 -0000	1.1
+++ drivers/serial/uart00.c	4 Aug 2004 01:29:44 -0000	1.2
@@ -21,7 +21,7 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  *
- *  $Id: uart00.c,v 1.1 2004/07/22 19:50:26 joff Exp $
+ *  $Id: uart00.c,v 1.2 2004/08/04 01:29:44 joff Exp $
  *
  */
 #include <linux/config.h>
@@ -133,11 +133,11 @@
 }
 
 static void
-uart00_rx_chars(struct uart_info *info, struct pt_regs *regs)
+uart00_rx_chars(struct uart_port *port, struct pt_regs *regs)
 {
+	struct uart_info *info = port->info;
 	struct tty_struct *tty = info->tty;
 	unsigned int status, ch, rds, flg, ignored = 0;
-	struct uart_port *port = info->port;
 	
 
 	status = UART_GET_RSR(port);
@@ -162,7 +162,7 @@
 		 */
 		if (rds & (UART_RDS_BI_MSK |UART_RDS_FE_MSK|UART_RDS_PE_MSK))
 			goto handle_error;
-		if (uart_handle_sysrq_char(info, ch, regs))
+		if (uart_handle_sysrq_char(port, ch, regs))
 			goto ignore_char;
 
 	error_return:
@@ -182,7 +182,7 @@
 		port->icount.brk++;
 
 #ifdef SUPPORT_SYSRQ
-		if (uart_handle_break(info, &uart00_console))
+		if (uart_handle_break(port))
 			goto ignore_char;
 #endif
 	} else if (rds & UART_RDS_PE_MSK)
@@ -220,15 +220,15 @@
 		flg = TTY_OVERRUN;
 	}
 #ifdef SUPPORT_SYSRQ
-	info->sysrq = 0;
+	port->sysrq = 0;
 #endif
 	goto error_return;
 }
 
-static void uart00_tx_chars(struct uart_info *info)
+static void uart00_tx_chars(struct uart_port *port)
 {
 	int count;
-	struct uart_port *port=info->port;
+	struct uart_info *info = port->info;
 
 	if (port->x_char) {
 		while((UART_GET_TSR(port)& UART_TSR_TX_LEVEL_MSK)==15);
@@ -241,7 +241,7 @@
 	if (info->xmit.head == info->xmit.tail
 	    || info->tty->stopped
 	    || info->tty->hw_stopped) {
-		uart00_stop_tx(info->port, 0);
+		uart00_stop_tx(port, 0);
 		return;
 	}
 
@@ -258,27 +258,25 @@
 	if (CIRC_CNT(info->xmit.head,
 		     info->xmit.tail,
 		     UART_XMIT_SIZE) < WAKEUP_CHARS)
-		uart_event(info, EVT_WRITE_WAKEUP);
+		uart_write_wakeup(port);
 
 	if (info->xmit.head == info->xmit.tail)
-		uart00_stop_tx(info->port, 0);
+		uart00_stop_tx(port, 0);
 }
 
-static void uart00_start_tx(struct uart_port *port, u_int nonempty, u_int from_tty)
+static void uart00_start_tx(struct uart_port *port, u_int from_tty)
 {
-	struct uart_info *info=(struct uart_info*)(port->iobase);
-
 	UART_PUT_IES(port,UART_IES_TIE_MSK );		
-	uart00_tx_chars(info);
+	uart00_tx_chars(port);
 }
 
-static void uart00_modem_status(struct uart_info *info)
+static void uart00_modem_status(struct uart_port *port)
 {
 	unsigned int status;
-	struct uart_icount *icount = &info->port->icount;
-
+	struct uart_icount *icount = &port->icount;
+	struct uart_info *info = port->info;
 
-	status = UART_GET_MSR(info->port);
+	status = UART_GET_MSR(port);
 
 	if (!status & (UART_MSR_DCTS_MSK | UART_MSR_DDSR_MSK | 
 		       UART_MSR_TERI_MSK | UART_MSR_DDCD_MSK))
@@ -287,7 +285,7 @@
 	if (status & UART_MSR_DDCD_MSK) {
 		icount->dcd++;
 #ifdef CONFIG_HARD_PPS
-		if ((info->flags & ASYNC_HARDPPS_CD) &&
+		if ((port->flags & ASYNC_HARDPPS_CD) &&
 		    (status & UART_MSR_DCD_MSK))
 			hardpps();
 #endif
@@ -295,7 +293,7 @@
 			if (status & UART_MSR_DCD_MSK)
 				wake_up_interruptible(&info->open_wait);
 			else if (!((info->flags & ASYNC_CALLOUT_ACTIVE) &&
-				   (info->flags & ASYNC_CALLOUT_NOHUP))) {
+				   (port->flags & ASYNC_CALLOUT_NOHUP))) {
 				if (info->tty)
 					tty_hangup(info->tty);
 			}
@@ -314,13 +312,13 @@
 			if (info->tty->hw_stopped) {
 				if (status) {
 					info->tty->hw_stopped = 0;
-					info->ops->start_tx(info->port, 1, 0);
-					uart_event(info, EVT_WRITE_WAKEUP);
+					port->ops->start_tx(port, 0);
+					uart_write_wakeup(port);
 				}
 			} else {
 				if (!status) {
 					info->tty->hw_stopped = 1;
-					info->ops->stop_tx(info->port, 0);
+					port->ops->stop_tx(port, 0);
 				}
 			}
 		}
@@ -331,22 +329,22 @@
 
 static void uart00_int(int irq, void *dev_id, struct pt_regs *regs)
 {
-	struct uart_info *info = dev_id;
+	struct uart_port *port = dev_id;
 	unsigned int status, pass_counter = 0;
 
-	status = UART_GET_INT_STATUS(info->port);
+	status = UART_GET_INT_STATUS(port);
 	do {
 
 		if (status & UART_ISR_RI_MSK)
-			uart00_rx_chars(info, regs);
+			uart00_rx_chars(port, regs);
 		if (status & (UART_ISR_TI_MSK | UART_ISR_TII_MSK))
-			uart00_tx_chars(info);
+			uart00_tx_chars(port);
 		if (status & UART_ISR_MI_MSK)
-			uart00_modem_status(info);
+			uart00_modem_status(port);
 		if (pass_counter++ > UART00_ISR_PASS_LIMIT)
 			break;
 
-		status = UART_GET_INT_STATUS(info->port);
+		status = UART_GET_INT_STATUS(port);
 	} while (status);
 }
 
@@ -367,25 +365,25 @@
 		result |= TIOCM_DSR;
 	if (status & UART_MSR_CTS_MSK)
 		result |= TIOCM_CTS;
-        if (status & UART_MCR_RI_MSK)
-                result |= TIOCM_RNG;
+	if (status & UART_MCR_RI_MSK)
+		result |= TIOCM_RNG;
 
 	return result;
 }
 
 static void uart00_set_mctrl(struct uart_port *port, u_int mctrl)
 {
-        unsigned char mcr = 0;
+	unsigned char mcr = 0;
 
-        if (mctrl & TIOCM_RTS)
-               mcr |= UART_MCR_RTS_MSK;
-        if (mctrl & TIOCM_DTR)
-                mcr |= UART_MCR_DTR_MSK;
-        if (mctrl & TIOCM_LOOP)
-                mcr |= UART_MCR_LB_MSK;
+	if (mctrl & TIOCM_RTS)
+		mcr |= UART_MCR_RTS_MSK;
+	if (mctrl & TIOCM_DTR)
+		mcr |= UART_MCR_DTR_MSK;
+	if (mctrl & TIOCM_LOOP)
+		mcr |= UART_MCR_LB_MSK;
 
-        UART_PUT_MCR(port, mcr);
- }
+	UART_PUT_MCR(port, mcr);
+}
 
 static void uart00_break_ctl(struct uart_port *port, int break_state)
 {
@@ -399,7 +397,7 @@
 	UART_PUT_MCR(port, mcr);
 }
 
-static inline u_int uart_calculate_quot(struct uart_info *info, u_int baud)
+static inline u_int uart_calculate_quot(struct uart_port *port, u_int baud)
 {
 	u_int quot;
 
@@ -407,7 +405,7 @@
 	if (!baud)
 		baud = 9600;
 
-	quot = (info->port->uartclk / (16 * baud)-1)  ;
+	quot = (port->uartclk / (16 * baud)-1)  ;
 
 	return quot;
 }
@@ -476,22 +474,14 @@
 	restore_flags(flags);
 }
 
-static int uart00_startup(struct uart_port *port, struct uart_info *info)
+static int uart00_startup(struct uart_port *port)
 {
 	int retval;
 
-	/* 
-	 * Use iobase to store a pointer to info. We need this to start a 
-	 * transmission as the tranmittr interrupt is only generated on
-	 * the transition to the idle state 
-	 */
-
-	port->iobase=(u_int)info;
-	
 	/*
 	 * Allocate the IRQ
 	 */
-	retval = request_irq(port->irq, uart00_int, 0, "uart00", info);
+	retval = request_irq(port->irq, uart00_int, 0, "uart00", port);
 	if (retval)
 		return retval;
 
@@ -506,7 +496,7 @@
 	return 0;
 }
 
-static void uart00_shutdown(struct uart_port *port, struct uart_info *info)
+static void uart00_shutdown(struct uart_port *port)
 {
 	/*
 	 * disable all interrupts, disable the port
@@ -519,12 +509,12 @@
 	/*
 	 * Free the interrupt
 	 */
-	free_irq(port->irq, info);
+	free_irq(port->irq, port);
 }
 
 static const char *uart00_type(struct uart_port *port)
 {
-        return port->type == PORT_UART00 ? "Altera UART00" : NULL;
+	return port->type == PORT_UART00 ? "Altera UART00" : NULL;
 }
 
 /*
@@ -611,14 +601,14 @@
 
 #ifdef CONFIG_ARCH_CAMELOT
 {
-	membase:	(void*)IO_ADDRESS(EXC_UART00_BASE),
-	mapbase:        EXC_UART00_BASE,
-	iotype:		SERIAL_IO_MEM,
-	irq:		IRQ_UART,
-	uartclk:	EXC_AHB2_CLK_FREQUENCY,
-	fifosize:	16,
-	ops:		&uart00_pops,
-	flags:          ASYNC_BOOT_AUTOCONF,
+	.membase	= (void*)IO_ADDRESS(EXC_UART00_BASE),
+	.mapbase	=  EXC_UART00_BASE,
+	.iotype		= SERIAL_IO_MEM,
+	.irq		= IRQ_UART,
+	.uartclk	= EXC_AHB2_CLK_FREQUENCY,
+	.fifosize	= 16,
+	.ops		= &uart00_pops,
+	.flags		= ASYNC_BOOT_AUTOCONF,
 }
 #endif
 };
@@ -666,7 +656,7 @@
 
 static kdev_t uart00_console_device(struct console *co)
 {
-       return MKDEV(SERIAL_UART00_MAJOR, SERIAL_UART00_MINOR + co->index);
+	return MKDEV(SERIAL_UART00_MAJOR, SERIAL_UART00_MINOR + co->index);
 }
 
 static void /*__init*/ uart00_console_get_options(struct uart_port *port, int *baud, int *parity, int *bits)
@@ -730,12 +720,12 @@
 }
 
 static struct console uart00_console = {
-	name:           SERIAL_UART00_NAME,
-	write:		uart00_console_write,
-	device:		uart00_console_device,
-	setup:		uart00_console_setup,
-	flags:		CON_PRINTBUFFER,
-	index:		0,
+	.name	= SERIAL_UART00_NAME,
+	.write	= uart00_console_write,
+	.device	= uart00_console_device,
+	.setup	= uart00_console_setup,
+	.flags	= CON_PRINTBUFFER,
+	.index	= 0,
 };
 
 void __init uart00_console_init(void)
@@ -749,25 +739,24 @@
 #endif
 
 static struct uart_driver uart00_reg = {
-	owner:                  NULL,
-	normal_major:		SERIAL_UART00_MAJOR,
-	normal_name:		SERIAL_UART00_NAME,
-	normal_driver:		&normal,
-	callout_major:		CALLOUT_UART00_MAJOR,
-	callout_name:		CALLOUT_UART00_NAME,
-	callout_driver:		&callout,
-	table:			uart00_table,
-	termios:		uart00_termios,
-	termios_locked:		uart00_termios_locked,
-	minor:			SERIAL_UART00_MINOR,
-	nr:			UART_NR,
-	port:			uart00_ports,
-	state:			NULL,
-	cons:			UART00_CONSOLE,
+	.owner		= NULL,
+	.normal_major	= SERIAL_UART00_MAJOR,
+	.normal_name	= SERIAL_UART00_NAME,
+	.normal_driver	= &normal,
+	.callout_major	= CALLOUT_UART00_MAJOR,
+	.callout_name	= CALLOUT_UART00_NAME,
+	.callout_driver	= &callout,
+	.table		= uart00_table,
+	.termios	= uart00_termios,
+	.termios_locked	= uart00_termios_locked,
+	.minor		= SERIAL_UART00_MINOR,
+	.nr		= UART_NR,
+	.state		= NULL,
+	.cons		= UART00_CONSOLE,
 };
 
 struct dev_port_entry{
-       struct uart_port *port;
+	struct uart_port *port;
 };
 
 static struct dev_port_entry dev_port_map[UART_NR];
@@ -779,62 +768,62 @@
  */
 
 struct uart00_ps_data{
-       unsigned int clk;
-       unsigned int fifosize;
+	unsigned int clk;
+	unsigned int fifosize;
 };
 
 int uart00_add_device(struct pldhs_dev_info* dev_info, void* dev_ps_data)
 {
-       struct uart00_ps_data* dev_ps=dev_ps_data;
-       struct uart_port * port;
-       int i,result;
-
-       i=0;
-       while(dev_port_map[i].port)
-               i++;
-
-       if(i==UART_NR){
-               printk(KERN_WARNING "uart00: Maximum number of ports reached\n");
-               return 0;
-       }
-
-       port=&uart00_ports[i];
-
-       printk("clk=%d fifo=%d\n",dev_ps->clk,dev_ps->fifosize);
-       port->membase=0;
-       port->mapbase=dev_info->base_addr;
-       port->iotype=SERIAL_IO_MEM;
-       port->irq=dev_info->irq;
-       port->uartclk=dev_ps->clk;
-       port->fifosize=dev_ps->fifosize;
-       port->ops=&uart00_pops;
-       port->line=i;
-       port->flags=ASYNC_BOOT_AUTOCONF;
-
-       result=uart_register_port(&uart00_reg, port);
-       if(result<0){
-               printk("uart_register_port returned %d\n",result);
-               return result;
-       }
-       dev_port_map[i].port=port;
-       printk("uart00: added device at %lx as ttyUA%d\n",dev_port_map[i].port->mapbase,i);
-       return 0;
+	struct uart00_ps_data* dev_ps=dev_ps_data;
+	struct uart_port * port;
+	int i,result;
+
+	i=0;
+	while(dev_port_map[i].port)
+		i++;
+
+	if(i==UART_NR){
+		printk(KERN_WARNING "uart00: Maximum number of ports reached\n");
+		return 0;
+	}
+
+	port=&uart00_ports[i];
+
+	printk("clk=%d fifo=%d\n",dev_ps->clk,dev_ps->fifosize);
+	port->membase=0;
+	port->mapbase=dev_info->base_addr;
+	port->iotype=SERIAL_IO_MEM;
+	port->irq=dev_info->irq;
+	port->uartclk=dev_ps->clk;
+	port->fifosize=dev_ps->fifosize;
+	port->ops=&uart00_pops;
+	port->line=i;
+	port->flags=ASYNC_BOOT_AUTOCONF;
+
+	result=uart_register_port(&uart00_reg, port);
+	if(result<0){
+		printk("uart_register_port returned %d\n",result);
+		return result;
+	}
+	dev_port_map[i].port=port;
+	printk("uart00: added device at %lx as ttyUA%d\n",dev_port_map[i].port->mapbase,i);
+	return 0;
 
 }
 
 int uart00_remove_devices(void)
 {
-       int i,result;
+	int i,result;
 
 
-       result=0;
-       for(i=1;i<UART_NR;i++){
-               if(dev_port_map[i].port){
-                       uart_unregister_port(&uart00_reg,i);
-                       dev_port_map[i].port=NULL;
-               }
-       }
-       return 0;
+	result=0;
+	for(i=1;i<UART_NR;i++){
+		if(dev_port_map[i].port){
+			uart_unregister_port(&uart00_reg,i);
+			dev_port_map[i].port=NULL;
+		}
+	}
+	return 0;
 
 }
 
@@ -843,63 +832,69 @@
 
 int uart00_proc_read(char* buf,char** start,off_t offset,int count,int *eof,void *data){
 
-       int i,len=0;
-       struct uart_port *port;
-       int limit = count - 80;
-       char ps_data[80];
-       if(*start)
-               buf=*start;
-       for(i=0;(i<UART_NR)&&(len<limit);i++){
-               if(dev_port_map[i].port){
-                       port=dev_port_map[i].port;
-                       sprintf(ps_data,"clk, %dHz, fifo size, %dbytes",
-                               port->uartclk,port->fifosize);
-                       len+=PLDHS_READ_PROC_DATA(buf+len,"uart00",i,
-                                           port->mapbase,port->irq,ps_data);
-
-               }
-       }
-       *eof=1;
-       return len;
+	int i,len=0;
+	struct uart_port *port;
+	int limit = count - 80;
+	char ps_data[80];
+	if(*start)
+		buf=*start;
+	for(i=0;(i<UART_NR)&&(len<limit);i++){
+		if(dev_port_map[i].port){
+			port=dev_port_map[i].port;
+			sprintf(ps_data,"clk, %dHz, fifo size, %dbytes",
+				port->uartclk,port->fifosize);
+			len+=PLDHS_READ_PROC_DATA(buf+len,"uart00",i,
+					 port->mapbase,port->irq,ps_data);
+
+		}
+	}
+	*eof=1;
+	return len;
 }
 
 
 
 #endif
 struct pld_hotswap_ops uart00_pldhs_ops={
-       name: "uart00",
-       add_device: uart00_add_device,
-       remove_devices:uart00_remove_devices,
-       proc_read:uart00_proc_read
-
+	.name		= "uart00",
+	.add_device	= uart00_add_device,
+	.remove_devices	= uart00_remove_devices,
+	.proc_read	= uart00_proc_read
 };
 
 #endif
 
 static int __init uart00_init(void)
 {
-       int ret;
-       int i;
+	int ret;
+	int i;
 
-       for(i=0;i<UART_NR;i++){
-               uart00_ports[i].ops=&uart00_pops;
-       }
+	ret = uart_register_driver(&uart00_reg);
+	if (ret) {
+		printk(KERN_ERR "uart00: Couldn't register driver\n");
+		return ret;
+	}
+
+	unregister_console(&uart00_console);
+
+	for(i=0;i<UART_NR;i++){
+		uart00_ports[i].ops=&uart00_pops;
+	}
 
 	printk(KERN_WARNING "uart00:Using temporary major/minor pairs - these WILL change in the future\n");
 
 #ifdef CONFIG_PLD_HOTSWAP
-       pldhs_register_driver(&uart00_pldhs_ops);
+	pldhs_register_driver(&uart00_pldhs_ops);
 #endif
-       unregister_console(&uart00_console);
-       ret=uart_register_driver(&uart00_reg);
+	for (i=0; i<UART_NR; i++)
+		uart_add_one_port(&uart00_reg,&uart00_ports[i]);
 
-       uart00_console.flags = 0;
-       register_console(&uart00_console);
+	uart00_console.flags = 0;
+	register_console(&uart00_console);
 #ifdef CONFIG_ARCH_CAMELOT
-       dev_port_map[0].port=uart00_ports;
+	dev_port_map[0].port=uart00_ports;
 #endif
-       return ret;
-
+	return ret;
 }
 
 
Index: drivers/sound/Config.in
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/sound/Config.in,v
retrieving revision 1.1
retrieving revision 1.3
diff -u -r1.1 -r1.3
--- drivers/sound/Config.in	22 Jul 2004 19:50:21 -0000	1.1
+++ drivers/sound/Config.in	20 Feb 2007 23:55:10 -0000	1.3
@@ -7,12 +7,18 @@
 # Prompt user for primary drivers.
 
 dep_tristate '  ALi5455 audio support' CONFIG_SOUND_ALI5455 $CONFIG_SOUND $CONFIG_PCI
+if [ "$CONFIG_SOUND_ALI5455" = "y" -o "$CONFIG_SOUND_ALI5455" = "m" ]; then
+    bool  '   Enable Codec SPDIF OUT ( Pcm Out Share )' CONFIG_SOUND_ALI5455_CODECSPDIFOUT_PCMOUTSHARE
+    bool  '   Enable Codec SPDIF OUT ( Codec Independent DMA )' CONFIG_SOUND_ALI5455_CODECSPDIFOUT_CODECINDEPENDENTDMA
+    bool  '   Enable Controller SPDIF OUT ( Pcm Out Share )' CONFIG_SOUND_ALI5455_CONTROLLERSPDIFOUT_PCMOUTSHARE
+    bool  '   Enable Controller SPDIF OUT ( Controller Independent DMA )' CONFIG_SOUND_ALI5455_CONTROLLERSPDIFOUT_CONTROLLERINDEPENDENTDMA
+fi
 dep_tristate '  BT878 audio dma' CONFIG_SOUND_BT878 $CONFIG_SOUND $CONFIG_PCI
 dep_tristate '  C-Media PCI (CMI8338/8738)' CONFIG_SOUND_CMPCI $CONFIG_SOUND $CONFIG_PCI
 if [ "$CONFIG_SOUND_CMPCI" = "y" -o "$CONFIG_SOUND_CMPCI" = "m" ]; then
     bool '    Enable legacy FM' CONFIG_SOUND_CMPCI_FM
     if [ "$CONFIG_SOUND_CMPCI_FM" = "y" ]; then
-    define_hex CONFIG_SOUND_CMPCI_FMIO 388
+	define_hex CONFIG_SOUND_CMPCI_FMIO 388
         hex '    FM I/O 388, 3C8, 3E0, 3E8' CONFIG_SOUND_CMPCI_FMIO 388
     fi
     bool '    Enable legacy MPU-401' CONFIG_SOUND_CMPCI_MIDI
@@ -22,20 +28,20 @@
     bool '    Enable joystick' CONFIG_SOUND_CMPCI_JOYSTICK
     bool '    Support CMI8738 based audio cards' CONFIG_SOUND_CMPCI_CM8738
     if [ "$CONFIG_SOUND_CMPCI_CM8738" = "y" ]; then
-    bool '      Inverse S/PDIF in for CMI8738' CONFIG_SOUND_CMPCI_SPDIFINVERSE
-    bool '      Enable S/PDIF loop for CMI8738' CONFIG_SOUND_CMPCI_SPDIFLOOP
-    int  '      Number of speakers 2, 4, 5, 6' CONFIG_SOUND_CMPCI_SPEAKERS 2
-    if [ "$CONFIG_SOUND_CMPCI_SPEAKERS" != "2" ]; then
-        bool '        Use Line-in as Read-out' CONFIG_SOUND_CMPCI_LINE_REAR
-        bool '        Use Line-in as Bass' CONFIG_SOUND_CMPCI_LINE_BASS
-    fi
+	bool '      Inverse S/PDIF in for CMI8738' CONFIG_SOUND_CMPCI_SPDIFINVERSE
+	bool '      Enable S/PDIF loop for CMI8738' CONFIG_SOUND_CMPCI_SPDIFLOOP
+	int  '      Number of speakers 2, 4, 5, 6' CONFIG_SOUND_CMPCI_SPEAKERS 2
+	if [ "$CONFIG_SOUND_CMPCI_SPEAKERS" != "2" ]; then
+	    bool '        Use Line-in as Read-out' CONFIG_SOUND_CMPCI_LINE_REAR
+	    bool '        Use Line-in as Bass' CONFIG_SOUND_CMPCI_LINE_BASS
+	fi
     fi
 fi
 dep_tristate '  Creative SBLive! (EMU10K1)' CONFIG_SOUND_EMU10K1 $CONFIG_SOUND $CONFIG_PCI
 dep_mbool    '    Creative SBLive! MIDI' CONFIG_MIDI_EMU10K1 $CONFIG_SOUND_EMU10K1 $CONFIG_EXPERIMENTAL
 dep_tristate '  Crystal SoundFusion (CS4280/461x)' CONFIG_SOUND_FUSION $CONFIG_SOUND $CONFIG_PCI
 dep_tristate '  Crystal Sound CS4281' CONFIG_SOUND_CS4281 $CONFIG_SOUND $CONFIG_PCI
-if [ "$CONFIG_SIBYTE_SB1250" = "y" -a "$CONFIG_REMOTE_DEBUG" != "y" ]; then
+if [ "$CONFIG_SIBYTE_SWARM" = "y" ]; then
     dep_tristate '  Crystal Sound CS4297a (for Swarm)' CONFIG_SOUND_BCM_CS4297A $CONFIG_SOUND
 fi
 dep_tristate '  Ensoniq AudioPCI (ES1370)' CONFIG_SOUND_ES1370 $CONFIG_SOUND $CONFIG_PCI
@@ -66,8 +72,8 @@
 if [ "$CONFIG_DDB5477" = "y" ]; then
     dep_tristate '  NEC Vrc5477 AC97 sound' CONFIG_SOUND_VRC5477 $CONFIG_SOUND
 fi
-if [ "$CONFIG_MIPS_AU1000" = "y" ]; then
-    dep_tristate '  Au1000 Sound' CONFIG_SOUND_AU1000 $CONFIG_SOUND
+if [ "$CONFIG_SOC_AU1X00" = "y" -o  "$CONFIG_SOC_AU1500" = "y" ]; then
+    dep_tristate '  Au1x00 Sound' CONFIG_SOUND_AU1X00 $CONFIG_SOUND
 fi
 
 dep_tristate '  Trident 4DWave DX/NX, SiS 7018 or ALi 5451 PCI Audio Core' CONFIG_SOUND_TRIDENT $CONFIG_SOUND $CONFIG_PCI
@@ -162,11 +168,13 @@
     if [ "$CONFIG_ARCH_EP9301" = "y" ]; then
         choice '  Cirrus I2S Codec Support' \
         "CS4271 CONFIG_CODEC_CS4271 \
-         CS4228A  CONFIG_CODEC_CS4228A" CS4271
+         CS4228A  CONFIG_CODEC_CS4228A \
+	 CS42L50 CONFIG_CODEC_CS42L50" CS4271
     else
         choice '  Cirrus I2S Codec Support' \
         "CS4271 CONFIG_CODEC_CS4271 \
-         CS4228A  CONFIG_CODEC_CS4228A" CS4228A
+         CS4228A  CONFIG_CODEC_CS4228A \
+	 CS42L50 CONFIG_CODEC_CS42L50" CS4228A
     fi
    fi 
    
@@ -181,7 +189,7 @@
    if [ "$CONFIG_SOUND_TRIX" = "y" ]; then
       bool '      Have TRXPRO.HEX firmware file' CONFIG_TRIX_HAVE_BOOT
       if [ "$CONFIG_TRIX_HAVE_BOOT" = "y" ]; then
-    string '  Full pathname of TRXPRO.HEX firmware file' CONFIG_TRIX_BOOT_FILE /etc/sound/trxpro.hex
+  	string '  Full pathname of TRXPRO.HEX firmware file' CONFIG_TRIX_BOOT_FILE /etc/sound/trxpro.hex
       fi
    fi
   
@@ -212,7 +220,7 @@
    if [ "$CONFIG_SOUND_MAUI" = "y" ]; then
       bool '      Have OSWF.MOT firmware file' CONFIG_MAUI_HAVE_BOOT
       if [ "$CONFIG_MAUI_HAVE_BOOT" = "y" ]; then
-     string '  Full pathname of OSWF.MOT firmware file' CONFIG_MAUI_BOOT_FILE /etc/sound/oswf.mot
+  	 string '  Full pathname of OSWF.MOT firmware file' CONFIG_MAUI_BOOT_FILE /etc/sound/oswf.mot
       fi
    fi
 
@@ -245,7 +253,7 @@
          bool '      Audio Excel DSP 16 (MPU401 emulation)' CONFIG_AEDSP16_MPU401
       fi
    fi
-     
+	 
 fi
 
 if [ "$CONFIG_ARM" = "y" ]; then
@@ -257,6 +265,10 @@
 
 dep_tristate '  TV card (bt848) mixer support' CONFIG_SOUND_TVMIXER $CONFIG_SOUND $CONFIG_I2C
 
+dep_tristate '  AD1980 front/back switch plugin' CONFIG_SOUND_AD1980 $CONFIG_SOUND 
+
+dep_tristate '  Wolfson Touchscreen/BMON plugin' CONFIG_SOUND_WM97XX $CONFIG_SOUND 
+
 # A cross directory dependence. The sound modules will need gameport.o compiled in,
 # but it resides in the drivers/char/joystick directory. This define_tristate takes
 # care of that. --Vojtech
Index: drivers/sound/Makefile
===================================================================
RCS file: /cvsroot/ts-7200/dist/linux24/drivers/sound/Makefile,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- drivers/sound/Makefile	22 Jul 2004 19:50:19 -0000	1.1
+++ drivers/sound/Makefile	4 Aug 2004 01:29:44 -0000	1.2
@@ -69,7 +69,7 @@
 obj-$(CONFIG_SOUND_ES1370)	+= es1370.o
 obj-$(CONFIG_SOUND_ES1371)	+= es1371.o ac97_codec.o
 obj-$(CONFIG_SOUND_VRC5477)	+= nec_vrc5477.o ac97_codec.o
-obj-$(CONFIG_SOUND_AU1000)      += au1000.o ac97_codec.o  
+obj-$(CONFIG_SOUND_AU1X00)      += au1000.o ac97_codec.o  
 obj-$(CONFIG_SOUND_ESSSOLO1)	+= esssolo1.o
 obj-$(CONFIG_SOUND_FUSION)	+= cs46xx.o ac97_codec.o
 obj-$(CONFIG_SOUND_MAESTRO)	+= maestro.o
@@ -92,6 +92,8 @@
 obj-$(CONFIG_SOUND_RME96XX)     += rme96xx.o
 obj-$(CONFIG_SOUND_BT878)	+= btaudio.o
 obj-$(CONFIG_SOUND_IT8172)	+= ite8172.o ac97_codec.o
+obj-$(CONFIG_SOUND_AD1980)	+= ac97_plugin_ad1980.o
+obj-$(CONFIG_SOUND_WM97XX)	+= ac97_plugin_wm97xx.o
 
 ifeq ($(CONFIG_MIDI_EMU10K1),y)
   obj-$(CONFIG_SOUND_EMU10K1)	+= sound.o
